use std::collections::HashMap;

pub fn get_files_content_with_blob(blob: &str) -> Result<HashMap<String, String>, String> {
    let mut files_content: HashMap<String, String> = HashMap::new();

    use glob::glob;

    for entry in glob(blob).map_err(|e| e.to_string())? {
        match entry {
            Ok(path) => {
                if path.is_dir() {
                    continue;
                }

                let filename = path.to_str();
                let filename = match filename {
                    Some(filename) => filename.to_string(),
                    None => continue,
                };

                let file_content = std::fs::read_to_string(path);
                let file_content = match file_content {
                    Ok(file_content) => file_content,
                    Err(e) => {
                        println!("{:?}", e);
                        continue;
                    }
                };

                files_content.insert(filename, file_content.to_string());
            },
            Err(e) => println!("{:?}", e),
        }
    }

    Ok(files_content)
}